Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt
Class TStoredProcedureSqlStatement

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.TBlockSqlStatement
                  gudusoft.gsqlparser.stmt.TStoredProcedureSqlStatement

All Implemented Interfaces:
  Visitable

Direct Known Subclasses:
  TDb2CreateFunction, TDb2CreateProcedure, TDb2CreateTrigger, TMssqlCreateFunction, TMssqlCreateProcedure, TMssqlCreateTrigger, TMySQLCreateFunction, TMySQLCreateProcedure, TMySQLCreateTrigger, TOracleStoredProcedureSqlStatement, TTeradataCreateFunction, TTeradataCreateProcedure

    public class TStoredProcedureSqlStatement

extends TBlockSqlStatement

Base class for stored procedure such as create function, procedure, trigger and etc.

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TStoredProcedureSqlStatement(EDbVendor dbvendor)`

Method Summary
`TStatementList` | `getDeclareStatements()`
`TParameterDeclarationList` | `getParameterDeclarations()`
`TObjectName` | `getStoredProcedureName()`
`void` | `setParameterDeclarations(TParameterDeclarationList parameterDeclarations)`

Methods inherited from class gudusoft.gsqlparser.stmt.TBlockSqlStatement
`getBodyStatements`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, doParseStatement, getCteList, getErrorCount, getLabelName, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setLabelName, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TStoredProcedureSqlStatement

    public TStoredProcedureSqlStatement(EDbVendor dbvendor)

Method Detail

### getDeclareStatements

    public TStatementList getDeclareStatements()

### setParameterDeclarations

    public void setParameterDeclarations(TParameterDeclarationList parameterDeclarations)

### getParameterDeclarations

    public TParameterDeclarationList getParameterDeclarations()

### getStoredProcedureName

    public TObjectName getStoredProcedureName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD